
;Generates colour scale by making the colour bar a plot space and using IDL in built labelling

PRO COL_SCAL2,min_val,max_val,ncolours,caption,offset,scal_charsize, write_col

  xmin = (!X.window(1) + (!X.window(1)-!X.window(0))*0.03) *!D.X_size
  ymin = !Y.window(0)*!D.Y_size
  xwidth = 0.032 * (!X.window(1)-!X.window(0)) * !D.X_size
  ywidth = ( 0.7 * (!Y.window(1)-!Y.window(0)) * !D.Y_size)/ncolours
  position = [xmin/!D.X_size, ymin/!D.Y_size, (xmin+xwidth)/!D.X_size, $
       (ymin+ywidth*ncolours)/!D.Y_size]

  ;Plot a colour bar
  ;Go from 1 as don't use bottom white colour
  FOR i = 1,ncolours-1 DO BEGIN
    polyfill,[xmin,xmin+xwidth,xmin+xwidth,xmin],[ymin,ymin, ymin+ywidth, ymin+ywidth],$
           color=i+offset,/device
    ymin=ymin+ywidth
  ENDFOR

  ;Plot a rectange around the bar and label it
  PLOT, [0,1],[min_val, max_val], /NOERASE, /NODATA, $
    title = 'dBZ', xstyle = 1, ystyle = 1, charsize = scal_charsize, $
    position = position, xticks = 1, yticks = 1, xtickname = [' ', ' '], $
    ytickname = [' ', ' ']

  AXIS, YAXIS = 1, ystyle = 1

END
